<template>
  <form class="container">
    <input
      type="text"
      class="inputForm"
      @input="updateValue"
      :value="value"
    >
    <label :class="active">{{placeHolder}}</label>
  </form>
</template>

<script>
export default {
  name: 'input-component',
  computed: {
    active () {
      return this.value ? ['label', 'labelActive'] : ['label']
    }
  },
  props: {
    placeHolder: {
      type: String,
      required: true
    },
    value: {
      type: String,
      required: true
    }
  },
  data: () => {
    return {
    }
  },
  methods: {
    updateValue (event) {
      this.$emit('input', event.target.value)
    }
  }
}
</script>

<style scoped>
.container {
  position: relative;
  color: #D28700FF;
}

.inputForm {
  border: 2px solid #D28700FF;
  border-radius: 20px;
  outline: none;
  padding: 0 10px;
  background: transparent;
  height: 100%;
  width: 100%;
  font-size: 20px;
  color: #D28700FF;
}

.inputForm:focus ~ .label {
  top: -25px;
  font-size: 17px;
  background-color: transparent;
}

.label {
  position: absolute;
  font-size: 20px;
  top: 10px;
  left: 15px;
  transition: .5s;
  pointer-events: none;
}

.labelActive {
  top: -25px;
  font-size: 17px;
  background-color: transparent;
}

.label::selection {
  background-color: #D28700FF;
  color: #fff;
}
</style>
